#!/usr/bin/env python

"A test of authentication/authorisation."

import WebStack.Generic

class AuthResource:

    "A resource demanding authentication."

    def respond(self, trans):
        user = trans.get_user()
        if user is None:
            trans.set_response_code(401)
            trans.set_header_value("WWW-Authenticate", 'Basic realm="AuthResource"')
            return

        trans.set_content_type(WebStack.Generic.ContentType("text/html"))

        # Write out confirmation, otherwise.

        out = trans.get_response_stream()
        out.write("""
<html>
  <body>
    <h1>Authorised</h1>
    <p>Hello user %s!</p>
  </body>
</html>
""" % (
    user,
))

# vim: tabstop=4 expandtab shiftwidth=4
