#!/usr/bin/env python

"A simple application for test purposes."

import WebStack.Generic

class SimpleResource:

    "A simple resource."

    def respond(self, trans):
        trans.set_content_type(WebStack.Generic.ContentType("text/html"))

        # Get some information.

        out = trans.get_response_stream()
        out.write("""
<html>
  <head>
    <title>Simple Example</title>
  </head>
  <body>
    <h1>Test</h1>
    <ul>
      <li>Path: %s</li>
      <li>Path info: %s</li>
      <li>Query string: %s</li>
      <li>Request method: %s</li>
      <li>Content type: %s</li>
      <li>Charset: %s</li>
      <li>Headers:
        <dl>
        %s
        </dl>
      </li>
      <li>User-Agent:
        <ul>
        %s
        </ul>
      </li>
      <li>user-agent:
        <ul>
        %s
        </ul>
      </li>
      <li>Fields from path:
        <ul>
        %s
        </ul>
      </li>
    </ul>
  </body>
</html>
""" % (
    trans.get_path(),
    trans.get_path_info(),
    trans.get_query_string(),
    trans.get_request_method(),
    trans.get_content_type().content_type,
    trans.get_content_type().charset,
    "".join(["<dt>%s</dt><dd>%s</dd>" % (key, value) for key, value in trans.get_headers().items()]),
    "".join(["<li>%s</li>" % value for value in trans.get_header_values("User-Agent")]),
    "".join(["<li>%s</li>" % value for value in trans.get_header_values("user-agent")]),
    "".join(["<dt>%s</dt><dd>%s</dd>" % (key, value) for key, value in trans.get_fields_from_path().items()]),
))

# vim: tabstop=4 expandtab shiftwidth=4
